Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-08-2020 18:52:03

coka
Membre
Inscription : 05-08-2020

Je neux peux plus faire de apt update

Bonjours a tous

Depuis plusieurs jours quand je fait apt update je n'ai que des erreur bizzare , j'ai chercher sur google etc rien . J'hesite vraiment a reinstaller debian mais j'ai tellement de donner donc je me tourne vers vous , Il ya un bail j'avais modifier mes sources.list pour je ne sais meme plus trop quoi et je n'avais pas toucher a mon pc depuis un moment . J'ai essayer le sources.list.save mais rien donc svp aidez moi .
Voici le code que cela me fait quand je fait apt update , j'ai juste mis la fin mais si vous voulez je met le debut aussi

Lecture des listes de paquets... Fait
E: Le dépôt http://ppa.launchpad.net/openjdk-r/ppa/ubuntu groovy Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:23
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:23
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:23
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:23
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:24
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:24
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:24
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:24
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:25
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:25
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:25
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:25
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:26
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:26
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:26
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:26
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:27
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:27
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:27
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:27
E: Le dépôt http://ppa.launchpad.net/webupd8team/java/ubuntu groovy Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Erreur de GPG : https://download.sublimetext.com apt/stable/ InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY F57D4F59BD3DF454
E: Le dépôt https://download.sublimetext.com apt/stable/ InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Erreur de GPG : http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY C2518248EEA14886
E: Le dépôt http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:23
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:23
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:23
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:23
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:24
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:24
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:24
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:24
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:25
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:25
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:25
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:25
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:26
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:26
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:26
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:26
W: La cible Packages (Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:27
W: La cible Translations (fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:27
W: La cible Translations (fr) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:27
W: La cible Translations (en) est spécifiée plusieurs fois dans /etc/apt/sources.list:22 et /etc/apt/sources.list:27
 

Hors ligne

#2 05-08-2020 18:58:59

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Je neux peux plus faire de apt update

bonsoir coka  big_smile  big_smile  big_smile

peux tu donner ton sources.list ?

cat -n /etc/apt/sources.list


visiblement , tu as des doublons .

Dernière modification par Debian Alain (05-08-2020 19:02:43)

Hors ligne

#3 05-08-2020 19:03:35

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 11-08-2015

Re : Je neux peux plus faire de apt update

Bienvenue sur le forum Debian. smile

C'est quoi le système installé sur ta machine ? Debian ou Ubuntu ?

Dernière modification par Beta-Pictoris (05-08-2020 19:05:14)

Hors ligne

#4 05-08-2020 19:12:54

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Je neux peux plus faire de apt update

Il faut que tu édite ton sources.list en tapant dans un terminale Les commandes suivantes

su -

en oubliant pas l'espace entre su et le tiré

nano /etc/apt/sources.list



Tu effaces tout ton ancien sources.list et tu copie colle à la place celui-là

# Debian Buster, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ buster main contrib non-free
deb-src http://deb.debian.org/debian/ buster main contrib non-free
 
# Debian Buster, mises à jour de sécurité + paquets non libres
deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
deb-src http://deb.debian.org/debian-security/ buster/updates main contrib non-free
 
# Debian Buster, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free



Tu sauvegardes en tapant Ctrl+S
Et tu quittes En tapant Ctrl+X

Ensuite tu peux faire

apt-get update && apt-get upgrade



À moins que tu ne sois sous ubuntu dans ce cas c'est complètement différent, le sources.list n'est pas le même

Dernière modification par Jean-Pierre Pinson (05-08-2020 19:31:35)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#5 05-08-2020 19:32:44

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

Hey , je suis sur debian et voici mon sources.list

#

# deb cdrom:[Official Debian GNU/Linux Live 10.4.0 cinnamon 2020-05-09T13:13]/ buster main

# deb cdrom:[Official Debian GNU/Linux Live 10.4.0 cinnamon 2020-05-09T13:13]/ buster main

deb http://deb.debian.org/debian/ buster main non-free contrib
deb-src http://deb.debian.org/debian/ buster main non-free contrib

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
deb https://assets.checkra.in/debian /
deb https://assets.checkra.in/debian /
deb https://assets.checkra.in/debian /
deb https://assets.checkra.in/debian /
deb https://assets.checkra.in/debian /
deb https://adessets.checkra.in/debian /
deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
# deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main



En esperant que vous pouvez m'aider X)

Hors ligne

#6 05-08-2020 19:35:37

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

Parceque j'ai vraiment pas envie de reinstaller debian juste a cause de mes depots X)

Hors ligne

#7 05-08-2020 19:36:26

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 11-08-2015

Re : Je neux peux plus faire de apt update

Dans un premier temps, commente tous les lignes sauf celles-ci :

deb http://deb.debian.org/debian/ buster main non-free contrib
deb-src http://deb.debian.org/debian/ buster main non-free contrib

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free


Puis relance ton apt update.

Hors ligne

#8 05-08-2020 19:42:22

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Je neux peux plus faire de apt update

pense à lire ceci , coka , et médite le sérieusement avant d'agir plus tard :  https://wiki.debian.org/fr/DontBreakDebian

en règle générale , évite de sortir des dépôts debian et ne te hasarde surtout pas à jouer avec les ppa (dépôts ubuntu) .

si tu veux un programme particulier , si possible , demande son équivalent debian (ou similaire) aux connaisseurs .

Hors ligne

#9 05-08-2020 19:44:50

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Je neux peux plus faire de apt update

Tu suis la procédure que je t'ai recommandé en #4

Dernière modification par Jean-Pierre Pinson (05-08-2020 19:46:19)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#10 05-08-2020 19:45:15

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

Ok c'est fait , le message a changer le voici

sudo apt update
Ign :1 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu groovy InRelease
Atteint :2 http://deb.debian.org/debian buster InRelease                                                                                            
Atteint :3 http://security.debian.org/debian-security buster/updates InRelease                                                                      
Atteint :4 http://deb.debian.org/debian buster-updates InRelease                                                                                    
Ign :5 http://ppa.launchpad.net/webupd8team/java/ubuntu groovy InRelease                                                                            
Atteint :6 http://repository.spotify.com stable InRelease                                                                                            
Err :8 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu groovy Release                                                          
  404  Not Found [IP : 2001:67c:1560:8008::15 80]
Err :9 http://ppa.launchpad.net/webupd8team/java/ubuntu groovy Release                                              
  404  Not Found [IP : 2001:67c:1560:8008::15 80]
Réception de :10 https://download.sublimetext.com apt/stable/ InRelease [2562 B]                                  
Ign :7 https://dl.bintray.com/etcher/debian stable InRelease                            
Réception de :11 https://dl.bintray.com/etcher/debian stable Release [3674 B]
Err :10 https://download.sublimetext.com apt/stable/ InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY F57D4F59BD3DF454
Lecture des listes de paquets... Fait
E: Le dépôt http://ppa.launchpad.net/openjdk-r/ppa/ubuntu groovy Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
E: Le dépôt http://ppa.launchpad.net/webupd8team/java/ubuntu groovy Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Erreur de GPG : https://download.sublimetext.com apt/stable/ InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY F57D4F59BD3DF454
E: Le dépôt https://download.sublimetext.com apt/stable/ InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.

 


C'est des erreur non ?

Hors ligne

#11 05-08-2020 19:47:52

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Je neux peux plus faire de apt update

Oui c'est des erreurs, Tu n'as pas suivi la procédure que je t'ai recommandé en #4

Dernière modification par Jean-Pierre Pinson (05-08-2020 19:49:28)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#12 05-08-2020 19:52:14

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Je neux peux plus faire de apt update

si tu as bien désactivé tous tes dépôts autres que debian dans ton sources.list , regarde dans le dossier /etc/apt/sources.list.d/

si tu n'as pas des ppa et un "download.sublimetext.com" qui traînent ...

Hors ligne

#13 05-08-2020 21:17:04

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

Ah oui il fallait upgrade aussi , c'est fait mais je crois que ca ne change rien

sudo apt-get update && apt-get upgrade
Ign :1 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu groovy InRelease
Atteint :2 http://deb.debian.org/debian buster InRelease                                                                                            
Atteint :3 http://security.debian.org/debian-security buster/updates InRelease                                                                      
Atteint :4 http://deb.debian.org/debian buster-updates InRelease                                                                                    
Ign :5 http://ppa.launchpad.net/webupd8team/java/ubuntu groovy InRelease                                                                            
Atteint :6 http://repository.spotify.com stable InRelease                                                                                            
Err :7 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu groovy Release                                                                        
  404  Not Found [IP : 91.189.95.83 80]
Err :9 http://ppa.launchpad.net/webupd8team/java/ubuntu groovy Release                                                                      
  404  Not Found [IP : 91.189.95.83 80]
Ign :8 https://dl.bintray.com/etcher/debian stable InRelease                                              
Réception de :11 https://download.sublimetext.com apt/stable/ InRelease [2562 B]      
Réception de :10 https://dl.bintray.com/etcher/debian stable Release [3674 B]
Err :11 https://download.sublimetext.com apt/stable/ InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY F57D4F59BD3DF454
Lecture des listes de paquets... Fait
E: Le dépôt http://ppa.launchpad.net/openjdk-r/ppa/ubuntu groovy Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
E: Le dépôt http://ppa.launchpad.net/webupd8team/java/ubuntu groovy Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Erreur de GPG : https://download.sublimetext.com apt/stable/ InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY F57D4F59BD3DF454
E: Le dépôt https://download.sublimetext.com apt/stable/ InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
 

Dernière modification par coka (05-08-2020 21:17:44)

Hors ligne

#14 05-08-2020 21:20:53

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

Debian Alain a écrit :

si tu as bien désactivé tous tes dépôts autres que debian dans ton sources.list , regarde dans le dossier /etc/apt/sources.list.d/

si tu n'as pas des ppa et un "download.sublimetext.com" qui traînent ...


j'en ais quelque un qui sont sublime-text.list et sublime-text.list.save mais pas de download.sublimetext.com , vraiment desoler si vous ca vous parait basique comme probleme mais ce n'est pas le cas pour moi X):/

Hors ligne

#15 05-08-2020 21:24:48

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 11-08-2015

Re : Je neux peux plus faire de apt update

Que donne ? :

find /etc/apt/sources.list.d/

Dernière modification par Beta-Pictoris (05-08-2020 21:25:19)

Hors ligne

#16 05-08-2020 21:27:59

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Je neux peux plus faire de apt update

C'est pourtant simple, Je t'ai décris la marche à suivre en #4, tu as juste à appliquer ce que j'ai mentionné !

Dernière modification par Jean-Pierre Pinson (05-08-2020 21:30:15)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#17 05-08-2020 21:32:38

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Je neux peux plus faire de apt update

coka , modifie tes sources comme suit :


#

# deb cdrom:[Official Debian GNU/Linux Live 10.4.0 cinnamon 2020-05-09T13:13]/ buster main

# deb cdrom:[Official Debian GNU/Linux Live 10.4.0 cinnamon 2020-05-09T13:13]/ buster main

deb http://deb.debian.org/debian/ buster main non-free contrib
deb-src http://deb.debian.org/debian/ buster main non-free contrib

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
#deb https://assets.checkra.in/debian /
#deb https://assets.checkra.in/debian /
#deb https://assets.checkra.in/debian /
#deb https://assets.checkra.in/debian /
#deb https://assets.checkra.in/debian /
#deb https://adessets.checkra.in/debian /
#deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
# deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
 



fais très attention aux entrées "assets.checkra.in/..." et aux ppa .

je rappelle , à méditer sérieusement : https://wiki.debian.org/fr/DontBreakDebian

jean pierre pinson et beta pictoris t'ont bien conseillé . qu'attends tu pour suivre leurs conseils . ?

vouloir comprendre , c'est bien . être volontaire , c'est super . encore faut il écouter ce que l'on dit ... tongue  tongue  tongue

Dernière modification par Debian Alain (05-08-2020 21:35:04)

Hors ligne

#18 05-08-2020 21:43:14

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.10 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : Je neux peux plus faire de apt update

Gaffe à ne pas tous vous lancer sur des conseils contradictoires, vous allez noyer coka qui n’a vraiment pas besoin de ça wink

Pour l’instant c’est très certainement Beta-Pictoris qui est sur la bonne piste, je vous propose de lui laisser la main sur ces questions de sources.list / sources.list.d.

Jouer sous Debian ? Facile !

En ligne

#19 05-08-2020 22:15:12

Elzen
Modérateur
Distrib. : Debian Sid GNU/Linux
Noyau : amd64 (à jour le vendredi)
(G)UI : Touhy
Inscription : 01-07-2014

Re : Je neux peux plus faire de apt update

J'ajoute d'ailleurs une chose à la remarque de vv222, et ceci est un post de la part de l'équipe de modération.

Jean-Pierre Pinson a écrit :

Oui c'est des erreurs, Tu n'as pas suivi la procédure que je t'ai recommandé en #4


Jean-Pierre Pinson a écrit :

C'est pourtant simple, Je t'ai décris la marche à suivre en #4, tu as juste à appliquer ce que j'ai mentionné !


Sauf que non. Désolé, mais la procédure que tu décris en #4 est une mauvaise procédure.

D'une manière générale, demander à quelqu'un de passer en root et d'effacer/remplacer complètement le contenu d'un fichier est une opération risquée et qui ne se fait pas sans avoir pris quelques précautions, au minimum vérifier ce qu'il y a, actuellement, dans le fichier en question. Faute de quoi, on risque simplement de mettre la machine en vrac ou de provoquer des effets de bords non désirés.
Il est d'ailleurs toujours préférable, plutôt que d'effacer/remplacer complètement ces fichiers, de commencer par les copier/déplacer ailleurs, afin de garder une copie de sauvegarde au cas où il faudrait revenir à la version précédente ou y rejeter un coup d'œil plus tard.

Nous vous remercions, sincèrement, de votre volonté de participer à ce forum et d'aider les gens qui ont des soucis, mais s'il vous plaît, prenez la peine de réfléchir attentivement à ce que vous faites, et attendez d'avoir les informations requises (en les demandant si besoin) avant de proposer des manipulations potentiellement risquées.

Merci d'avance.

Hors ligne

#20 06-08-2020 08:11:33

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Je neux peux plus faire de apt update

bon , coka , on va faire simple :

pour confirmation :

ls -l /etc/apt/*.list

devrai normalement indiquer "sources.list"  uniquement
peux tu donner  ton sources détaillé (avec les nos de ligne) ? :

cat -n /etc/apt/sources.list

ceci donnera tes sources  avec un no de ligne (plus facile pour se repérer)

là , je découvre avec toi , comme je connais pas ta machine :

ls -l /etc/apt/sources.list.d/*.list

donnera normalement toutes tes sources annexes  , enfin , leur fichier . après faudra regarder dedans .
(à peu de chose près , la mme commande que Bêta-pictoris).

Dernière modification par Debian Alain (06-08-2020 09:10:49)

Hors ligne

#21 06-08-2020 08:14:52

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Je neux peux plus faire de apt update

Elzen il Faudra que tu m'expliques comment modifier le fichier sources.list sans passer en root ? et le fichier sources.list que j'ai proposé, provient du tuto debian facile
donc je ne vois pas ce que j'ai fait de mal ?

Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#22 06-08-2020 09:08:33

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

Debian Alain a écrit :

bon , coka , on va faire simple :

pour confirmation :

ls -l /etc/apt/*.list

devrai normalement indiquer "sources.list"  uniquement
peux tu donner  ton sources détaillé (avec les nos de ligne) ? :

cat -n /etc/apt/sources.list

ceci donnera tes sources  avec un no de ligne (plus facile pour se repérer)

là , je découvre avec toi , comme je connais pas ta machine :

ls -l /etc/apt/sources.list.d/*.list

donnera normalement toutes tes sources annexes  , enfin , leur fichier . après faudra regarder dedans .


Je comprend rien la , Tu me demande de faire des commanes je l'ai fait et ??? Apres je fait quoi ????

Hors ligne

#23 06-08-2020 09:10:47

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

Debian Alain a écrit :

coka , modifie tes sources comme suit :


#

# deb cdrom:[Official Debian GNU/Linux Live 10.4.0 cinnamon 2020-05-09T13:13]/ buster main

# deb cdrom:[Official Debian GNU/Linux Live 10.4.0 cinnamon 2020-05-09T13:13]/ buster main

deb http://deb.debian.org/debian/ buster main non-free contrib
deb-src http://deb.debian.org/debian/ buster main non-free contrib

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
#deb https://assets.checkra.in/debian /
#deb https://assets.checkra.in/debian /
#deb https://assets.checkra.in/debian /
#deb https://assets.checkra.in/debian /
#deb https://assets.checkra.in/debian /
#deb https://adessets.checkra.in/debian /
#deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
# deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
 



fais très attention aux entrées "assets.checkra.in/..." et aux ppa .

je rappelle , à méditer sérieusement : https://wiki.debian.org/fr/DontBreakDebian

jean pierre pinson et beta pictoris t'ont bien conseillé . qu'attends tu pour suivre leurs conseils . ?

vouloir comprendre , c'est bien . être volontaire , c'est super . encore faut il écouter ce que l'on dit ... tongue  tongue  tongue


C'est exactement ce que j'ai fait et ca ma retourner le meme mesage

Hors ligne

#24 06-08-2020 09:11:44

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

J'en ais marre je vous jure X) , je crois serieusement que je vais reinstaller debian juste pour avoir un fichier sources.list propre

Hors ligne

#25 06-08-2020 09:13:07

coka
Membre
Inscription : 05-08-2020

Re : Je neux peux plus faire de apt update

Beta-Pictoris a écrit :

Que donne ? :

find /etc/apt/sources.list.d/


ceci

find /etc/apt/sources.list.d/
/etc/apt/sources.list.d/
/etc/apt/sources.list.d/webupd8team-ubuntu-java-groovy.list
/etc/apt/sources.list.d/openjdk-r-ubuntu-ppa-groovy.list.save
/etc/apt/sources.list.d/spotify.list
/etc/apt/sources.list.d/balena-etcher.list
/etc/apt/sources.list.d/openjdk-r-ubuntu-ppa-groovy.list
/etc/apt/sources.list.d/sublime-text.list.save
/etc/apt/sources.list.d/spotify.list.save
/etc/apt/sources.list.d/webupd8team-ubuntu-java-groovy.list.save
/etc/apt/sources.list.d/sublime-text.list
 



Merci a tous de m'aider je sais que je suis assez "noob" mais bon

Hors ligne

Pied de page des forums